<?php

include_once(WPSITE_FIREBAR_PLUGIN_DIR . "/admin/model/db.php");
include_once(WPSITE_FIREBAR_PLUGIN_DIR . "/admin/model/list-table.php");
include_once(WPSITE_FIREBAR_PLUGIN_DIR . "/core/model/stats.php");

// Add cron jobs

if ( ! wp_next_scheduled('initialize_firebar_stats_daily_cron')) {
	wp_schedule_event( time(), 'daily', 'initialize_firebar_stats_daily_cron');
}

if ( ! wp_next_scheduled('setup_firebar_email_stats_cron')) {
	wp_schedule_event( time(), 'daily', 'setup_firebar_email_stats_cron');
}

$wpsite_firebar_list_table = new WPsite_FireBar_List_Table();
$wpsite_firebar_db = new WPsite_Firebar_DB();

$license_key = self::get_license_key();

// Get the counts

$all_count = count( $wpsite_firebar_db->get_firebars() );
$active_count = count( $wpsite_firebar_db->get_active() );
$inactive_count = count( $wpsite_firebar_db->get_inactive() );

// Activate / Deactivate

if(isset($_REQUEST["action"]) && $_REQUEST["action"] == "active") {

	// Check nonce

	if (isset($_REQUEST['wp_nonce']) && wp_verify_nonce($_REQUEST['wp_nonce'], 'wpsite_firebar_activate')) {
		$wpsite_firebar_db->set_active($_GET["firebar_id"], $_GET["set_action"]);
	}
}

// Delete

if(isset($_REQUEST["action"]) && $_REQUEST["action"] == "delete") {

	// Check nonce

	if (isset($_REQUEST['wp_nonce']) && wp_verify_nonce($_REQUEST['wp_nonce'], 'wpsite_firebar_delete')) {

		if (isset($_GET["firebar_id"])) {

			$wpsite_firebar_db->delete_data(esc_attr($_GET["firebar_id"]));

			WPsite_Stats_FB::deleteStats($_GET["firebar_id"]);
		}

		?>
		<script type="text/javascript">
			window.location= "<?php echo get_admin_url() . "admin.php?page=" . self::$dashboard_page;?>";
		</script>
		<?php
	}
}

// Preview

if (isset($_REQUEST["action"]) && $_REQUEST["action"] == "preview") {

	// Check nonce

	if (isset($_REQUEST['wp_nonce']) && wp_verify_nonce($_REQUEST['wp_nonce'], self::$prefix . 'preview')) {

		global $wpdb;

		$data = $wpdb->get_results($wpdb->prepare("SELECT * FROM `" . WPsite_Firebar_DB::getTableName() . "` WHERE `id` = %d", $_REQUEST['firebar_id']), 'ARRAY_A');

		WPsite_Firebar_Core_Functions::generate_scripts($data[0]);
		WPsite_Firebar_Core_Functions::generate_code($data[0], unserialize($data[0]['social']), unserialize($data[0]['news_letter']));
	}
}

// Dismiss notice

if (isset($_GET['action']) && $_GET['action'] != '' && isset($_GET['notice']) && $_GET['notice'] != '') {
	delete_transient(self::$prefix . 'admin_notice_' . $_GET['notice']);

	?>
	<script type="text/javascript">
		window.location = "<?php echo get_admin_url(); ?>admin.php?page=<?php echo self::$dashboard_page; ?>";
	</script>
	<?php
}

wp_localize_script(self::$prefix . 'admin_dashboard_js', 'wps_fb_data', array(
	'prefix_dash' 		=> self::$prefix_dash,
	'activate_text' 	=> __('Activate', self::$text_domain),
	'deactivate_text' 	=> __('Deactivate', self::$text_domain),
));

include_once(WPSITE_FIREBAR_PLUGIN_DIR . 'admin/views/dashboard.php');